> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set submission page style



## OpenAPI

````yaml post /tenants/submission-page-style
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /tenants/submission-page-style:
    post:
      tags:
        - tenants
      summary: Set submission page style
      operationId: updateSubmissionPageStyle
      parameters:
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                backgroundColor:
                  type: string
                  example: '#ffffff'
                  description: Page background color.
                titleColor:
                  type: string
                  example: '#202224'
                  description: Header text color.
                textColor:
                  type: string
                  example: '#202224'
                  description: Dropdown/input text color.
                inputBackgroundColor:
                  type: string
                  example: '#f0f0f0'
                  description: Input and dropdown background color.
                submitButtonColor:
                  type: string
                  example: '#27A691'
                  description: Submit button background color.
                submitButtonTextColor:
                  type: string
                  example: '#ffffff'
                  description: Submit button text color.
                cancelButtonColor:
                  type: string
                  example: '#cccccc'
                  description: Cancel button background color.
                cancelButtonTextColor:
                  type: string
                  example: '#202224'
                  description: Cancel button text color.
                errorTextColor:
                  type: string
                  example: '#cc0000'
                  description: Validation error text color.
                logoSvg:
                  type: string
                  example: >-
                    PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMjAiIGhlaWdodD0iNDAiIHZpZXdCb3g9IjAgMCAxMjAgNDAiPjxyZWN0IHdpZHRoPSIxMjAiIGhlaWdodD0iNDAiIHJ4PSI4IiBmaWxsPSIjMjdBNjkxIi8+PHRleHQgeD0iNjAiIHk9IjI2IiBmb250LWZhbWlseT0iQXJpYWwiIGZvbnQtc2l6ZT0iMTYiIGZpbGw9IndoaXRlIiB0ZXh0LWFuY2hvcj0ibWlkZGxlIj5Mb2dvPC90ZXh0Pjwvc3ZnPgo=
                  description: >-
                    Base64-encoded SVG logo. Takes priority over logoPng if both
                    are set.
                logoPng:
                  type: string
                  example: >-
                    iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg==
                  description: Base64-encoded PNG logo. Used if logoSvg is not set.
      responses:
        '201':
          description: Submission page style updated successfully.
          content:
            application/json:
              schema:
                type: object

````